#include "Parser.h"
#include "StreamReader.h"

namespace coreutils {

   Parser::Parser(int socket) : socket(socket) {}

   Parser::~Parser() {}

   Status Parser::doParse() {
   }

   bool Parser::checkParse(Parser &parser);

   Status Parser::parse() {
      return Status::COMPLETE;
   }
      
}
